[Errno 2] No such file or directory, when running galaxy in local

Hi, I’m trying to run galaxy in my local drive. However, it seems file uploading from my local drive doesn’t work.

How can I fix it?

the error traceback is like this:

Traceback (most recent call last): File "/home/chansik/anaconda3/envs/_galaxy_/lib/python3.6/shutil.py", line 550, in move os.rename(src, real_dst) FileNotFoundError: [Errno 2] No such file or directory: SafeStringWrapper(str:__lt__class __sq__NoneType__sq____gt__,__lt__class __sq__NotImplementedType__sq____gt__,__lt__class __sq__bool__sq____gt__,__lt__class __sq__bytearray__sq____gt__,__lt__class __sq__ellipsis__sq____gt__,__lt__class __sq__galaxy.security.object_wrapper.SafeStringWrapper__sq____gt__,__lt__class __sq__galaxy.tools.wrappers.ToolParameterValueWrapper__sq____gt__,__lt__class __sq__numbers.Number__sq____gt__) object at 7fbdc82aa480 on: __sq__/home/chansik/XXXX/galaxy/database/tmp/upload_params_99yg3r5a__sq__ -> '/home/chansik/바탕화면/galaxy/database/jobs_directory/000/26/upload_params.json' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "lib/galaxy/jobs/runners/__init__.py", line 243, in prepare_job job_wrapper.prepare() File "lib/galaxy/jobs/__init__.py", line 1159, in prepare self.__prepare_upload_paramfile(tool_evaluator) File "lib/galaxy/jobs/__init__.py", line 1124, in __prepare_upload_paramfile shutil.move(tool_evaluator.param_dict['paramfile'], new) File "/home/chansik/anaconda3/envs/_galaxy_/lib/python3.6/shutil.py", line 564, in move copy_function(src, real_dst) File "/home/chansik/anaconda3/envs/_galaxy_/lib/python3.6/shutil.py", line 263, in copy2 copyfile(src, dst, follow_symlinks=follow_symlinks) File "/home/chansik/anaconda3/envs/_galaxy_/lib/python3.6/shutil.py", line 120, in copyfile with open(src, 'rb') as fsrc: FileNotFoundError: [Errno 2] No such file or directory: SafeStringWrapper(str:__lt__class __sq__NoneType__sq____gt__,__lt__class __sq__NotImplementedType__sq____gt__,__lt__class __sq__bool__sq____gt__,__lt__class __sq__bytearray__sq____gt__,__lt__class __sq__ellipsis__sq____gt__,__lt__class __sq__galaxy.security.object_wrapper.SafeStringWrapper__sq____gt__,__lt__class __sq__galaxy.tools.wrappers.ToolParameterValueWrapper__sq____gt__,__lt__class __sq__numbers.Number__sq____gt__) object at 7fbdc82aa480 on: __sq__/home/chansik/XXXX/galaxy/database/tmp/upload_params_99yg3r5a__sq__

which version of galaxy are you using and are you by any coincidence uploading a xlsx file?